package componentlibrary;

import java.util.List;
import java.util.TreeMap;


/* Get additional information for the component from the CellML and run the test. */
public class RComponentTest {
	
	public static void main(String[] args) throws Exception{
		TreeMap<String, RComponent> cMap = RComponentImporter.readComponentsFromCSV();
		int count = 1;
		for (RComponent c: cMap.values()){
			RCellMLComponent rcc = new RCellMLComponent(c);
			rcc.print(count);
			List<String> vars = rcc.getVariablesFromKineticsComponent();
			for (String var: vars){
				System.out.println(var);
			}
			System.out.println("\nValidation Errors: " + rcc.getNValidationErrors());
			
			//if (count == 1){break;}
			count++;
		}
	}
}
